import { SvelteComponent } from "svelte";
import type { LayoutChangeDetail, Size } from './types';
declare const __propDef: {
    props: {
        class?: string | undefined;
        /**
             * Unique identifier of the item. Used to identify the item in collision checks.
             * @default uuidv4
             *
             * TODO: crypto.randomUUID() is not supported in non ssl environments
             */ id?: string | undefined;
        activeClass?: string | undefined;
        previewClass?: string | undefined;
        resizerClass?: string | undefined;
        x: number;
        y: number;
        w?: number | undefined;
        h?: number | undefined;
        /**
             * Minimum size of the item in Grid Units.
             */ min?: Size | undefined;
        /**
             * Maximum size of the item in Grid Units.
             * If not provided, the item will be able to grow infinitely.
             */ max?: Size | undefined;
        movable?: boolean | undefined;
        resizable?: boolean | undefined;
    };
    events: {
        change: CustomEvent<LayoutChangeDetail>;
        previewchange: CustomEvent<LayoutChangeDetail>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        moveHandle: {
            moveStart: (event: PointerEvent) => void;
        };
        default: {
            id: string;
            active: boolean;
            w: number;
            h: number;
        };
        resizeHandle: {
            resizeStart: (event: PointerEvent) => void;
        };
    };
};
export type GridItemProps = typeof __propDef.props;
export type GridItemEvents = typeof __propDef.events;
export type GridItemSlots = typeof __propDef.slots;
export default class GridItem extends SvelteComponent<GridItemProps, GridItemEvents, GridItemSlots> {
}
export {};
