import type { GridParams, LayoutItem, ItemPosition, ItemSize, Position, Size } from '../types';
export declare function coordinate2position(coordinate: number, cellSize: number, gap: number): number;
export declare function coordinate2size(coordinate: number, cellSize: number, gap: number): number;
export declare function position2coordinate(position: number, cellSize: number, gap: number): number;
export declare function size2coordinate(size: number, cellSize: number, gap: number): number;
export type SnapGridParams = Required<Pick<GridParams, 'itemSize' | 'gap' | 'maxCols' | 'maxRows'>>;
export declare function snapOnMove(left: number, top: number, item: LayoutItem, gridParams: SnapGridParams): Position;
export declare function snapOnResize(width: number, height: number, item: LayoutItem, gridParams: SnapGridParams): Size;
export declare function calcPosition(item: LayoutItem, options: {
    itemSize: ItemSize;
    gap: number;
}): ItemPosition & ItemSize;
export declare function clamp(num: number, min: number, max: number): number;
